

local fs = require "nixio.fs"
luci.i18n.loadc("splash")

local splashtextfile = "/usr/lib/luci-splash/splashtext.html" 

f = SimpleForm("splashtext", translate("Edit Splash text"),
	translate("You can enter your own text that is displayed to clients here.<br />" ..
	"It is possible to use the following markers: " ..
	"###COMMUNITY###, ###COMMUNITY_URL###, ###CONTACTURL###, ###LEASETIME###, ###LIMIT### and ###ACCEPT###."))

t = f:field(TextValue, "text")
t.rmempty = true
t.rows = 30
function t.cfgvalue()
	return fs.readfile(splashtextfile) or ""
end

function f.handle(self, state, data)
	if state == FORM_VALID then
		if data.text then
			fs.writefile(splashtextfile, data.text:gsub("\r\n", "\n"))
		end
	end
	return true
end

return f
